﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>aspnet-Dureforce.BlogSystem-b8811063-ca25-46ef-95cb-93d77aaffcf6</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
	<GenerateDocumentationFile>true</GenerateDocumentationFile>
  </PropertyGroup> 
  <ItemGroup>
    <PackageReference Include="Asp.Versioning.Mvc" Version="7.0.1" />
    <PackageReference Include="AspNetCoreRateLimit" Version="5.0.0" />
    <PackageReference Include="MediatR" Version="12.1.1" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.OpenIdConnect" Version="7.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.10">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Identity.Web" Version="1.16.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Packages\Dureforce.Cache.Redis\Dureforce.Cache.Redis\Dureforce.Cache.Redis.csproj" />
    <ProjectReference Include="..\Packages\Dureforce.Cqrs.Shared\Dureforce.Cqrs.Shared.csproj" />
    <ProjectReference Include="..\Packages\Dureforce.MessageBroker.AzureServiceBus\Dureforce.MessageBroker.AzureServiceBus\Dureforce.MessageBroker.AzureServiceBus.csproj" />
    <ProjectReference Include="..\Packages\Dureforce.Security.B2C\Dureforce.Security.B2C\Dureforce.Security.B2C.csproj" />
    <ProjectReference Include="..\Packages\Dureforce.Swagger.B2C\Dureforce.Swagger.B2C\Dureforce.Swagger.B2C.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Core\Startup\Sql\" />
  </ItemGroup>

</Project>
